import os
from setuptools import setup

version = {}
with open("pylam/version.py") as fp:
    exec(fp.read(), version)

# Utility function to read the README file.
def read(fname):
    return open(os.path.join(os.path.dirname(__file__), fname)).read()

setup(
    name = 'pylam',
    version = version['__version__'],
    author = 'Frank Roemer',
    author_email = 'froemer76@googlemail.com',
    description = ("A python library for working with in and out put files for respectively generated by LAMMPS."),
    license = "MIT",
    keywords = "LAMMPS",
    url = "http://wgserve.de/pylam",
    packages=['pylam',
              'pylam/dev',
              'pylam/base'
              ],
    package_data={'': ['README', 'LICENSE', 'requirements.txt']},
    include_package_data=True,
    long_description=read('README'),
    install_requires=read('requirements.txt').splitlines(),
    classifiers=[
        'Operating System :: OS Independent',
        'Development Status :: 2 - Pre-Alpha',
        'License :: OSI Approved :: MIT License',
        'Intended Audience :: Developers',
        'Topic :: Software Development :: Libraries :: Python Modules',
        'Programming Language :: Python :: 2.7'
    ]
)
